Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.9.4

Bug #15916 pear install during make install causes warnings
Submitted: 2009-02-19 21:19 UTC Modified: 2009-02-20 13:58 UTC
From: philip Assigned:
Status: Duplicate Package: PEAR
PHP Version: 5_3 CVS-2009-02-19 OS: CentOS
Roadmaps: 1.8.0alpha1    
Subscription  


 [2009-02-19 21:19 UTC] philip (Philip Olson)
Description: ------------ Upon installation the following errors result after 'make install': Warning: date(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'UTC' for 'GMT/0.0/no DST' instead in phar:///local/src/php-5.3.0beta1/pear/install-pear-nozlib.phar/PEAR/Registry.php on line 938 ... many more ... Warning: strtotime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'UTC' for 'GMT/0.0/no DST' instead in phar:///local/src/php-5.3.0beta1/pear/install-pear-nozlib.phar/PEAR/Validate.php on line 489 ... many more ... I believe a recent change to PHP 5 making this an E_WARNING error instead of an E_STRICT is related, a change that took place on January 27, 2009. Test script: --------------- wget php5.3-beta1.tar.gz tar xfvz php5.3-beta1.tar.gz ./configure make make install Expected result: ---------------- No E_WARNING errors. Also, I should not be expected to already have a php.ini (with this set) already on the system. Actual result: -------------- See above.

Comments

 [2009-02-20 13:58 UTC] dufuz (Helgi Þormar Þorbjörnsson)
-Status: Open +Status: Duplicate -Roadmap Versions: +Roadmap Versions: 1.8.0alpha1
Duplicate of PHP Bug 47323 that has already been fixed - The fix will not go live until PEAR 1.8 goes stable (so phars can be updated), at least a alpha will have to be done but this should all be done before 5.3 goes stable